#
#  ----->>>   root libraries
#

ROOTVER    =  `root-config --version`
ROOTLIBS   =  `root-config --libs` -lThread -lGX11 -lHistPainter 
ROOTGLIBS  =  `root-config --glibs` -lThread -lGX11 -lHistPainter 
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

CANDEFS	  = -DCPU=486 -DBUS_LITTLE_ENDIAN -DDEBUG=0 -DLINUX -D__LINUX__ -DSHOW 
DEFINES	  = -D__COSY__ -DROOTVER=\"$(ROOTVER)\" $(CANDEFS)

CXXFLAGS  = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG) $(DEFINES)
CFLAGS    = $(CXXFLAGS)
FFLAGS    = $(CXXFLAGS)

